;
; Copyright 2005, 2006 University of Leiden.
;
; This file is part of MIA+EWS.
;
; MIA+EWS is free software; you can redistribute it and/or modify
; it under the terms of the GNU General Public License as published by
; the Free Software Foundation; either version 2 of the License, or
; (at your option) any later version.
;
; MIA+EWS is distributed in the hope that it will be useful,
; but WITHOUT ANY WARRANTY; without even the implied warranty of
; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
; GNU General Public License for more details.
;
; You should have received a copy of the GNU General Public License
; along with MIA; if not, write to the Free Software
; Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
;
;define vltisubdir routine
.run vltiSubDir
.run ewsSubDir
;define some local directories
drsRoot=getenv('drsRoot')
@vltiSetLocal
vltiFits = vltiSubDir(vltiSubDir(vltiSubDir(drsRoot,'FITS'),'idl'),'src')
;setenv,'vltiCbin='+vltiSubDir(vltiSubDir(vltiSubDir(drsRoot,'FITS'),'c'),'bin')
setenv,'vltiCbin='+vltiSubDir(vltiSubDir(vltiSubDir(vltiSubDir(drsRoot,'software'),'EWS'),'c'),'bin')
vltidl=vltiSubdir(vltiSubdir(vltiSubdir(drsRoot,'software'),'EWS'),'idl')
midiconfig= vltiSubdir(vltiSubdir(vltiSubdir(vltiSubdir(drsRoot,'software'),'minrts'),'minrts'),'config')
midiref= vltiSubdir(vltiSubdir(vltiSubdir(vltiSubdir(drsRoot,'software'),'minrts'),'minrtsRef'),'config')
setenv,'prismhmask='+midiconfig+'/minrtsMask_FIELD_PRISM_HIGH_SENS_SLIT.fits'
setenv,'prismsmask='+midiconfig+'/minrtsMask_FIELD_PRISM_SCI_PHOT_SLIT.fits'
setenv,'grismhmask='+midiconfig+'/minrtsMask_SPECTRAL_GRISM_HIGH_SENS_SLIT.fits'
setenv,'grismsmask='+midiconfig+'/minrtsMask_SPECTRAL_GRISM_SCI_PHOT_SLIT.fits'
setenv,'prismomask='+getenv('midiutil')+'/prismwidemask.fits'
;setenv,'prismscurve='+midiconfig+'/minrtsCurve_FIELD_PRISM_SCI_PHOT.fits'
;setenv,'grismscurve='+midiconfig+'/minrtsCurve_SPECTRAL_GRISM_SCI_PHOT.fits'
setenv,'prismscurve='+midiref+'/minrtsWaveCurveRef_PRISM_SCI_PHOT.fits'
setenv,'grismscurve='+midiref+'/minrtsWaveCurveRef_GRISM_SCI_PHOT.fits'
setenv,'prismhcurve='+midiconfig+'/minrtsCurve_FIELD_PRISM_HIGH_SENS.fits'
setenv,'grismhcurve='+midiconfig+'/minrtsCurve_SPECTRAL_GRISM_HIGH_SENS.fits'
setenv, 'vltidl='+vltidl+'/'
vltiews=vltiSubdir(vltidl,'ews')
vltidrs=vltiSubdir(vltidl,'drs')
vltidoc=vltiSubdir(vltidl,'doc')
midi=vltiSubdir(vltiews,'midi')
midiUtil=vltiSubdir(midi,'utilities')
midiHeidelberg=vltiSubdir(midi,'heidelberg')

setenv, 'vltiutil='+midiUtil
lab=vltiSubdir(midi,'labPrograms')
filter=vltiSubdir(vltidl,'filter')
vinciews=vltiSubdir(vltiews,'vinci')
vincidrs=vltiSubdir(vltidrs,'vinci')
vincisim=vltiSubDir(vltiSubDir(vltiSubDir(drsRoot,'Simulators'),'idl'),'vincisim')
midipreprocess =vltiSubDir(vltiSubDir( vltiSubDir(vltidl,'ews'),'midi'),'preprocess')
;
;make the FITS package
;
vltiPackage = vltiFits
@vltimake
vltiPackage = midiUtil
@vltimake
vltiPackage = midiHeidelberg
@vltimake
;
;if you want to make more packages uncomment the
;following lines, or add your own versions
;
