;
; Copyright 2005, 2006 University of Leiden.
;
; This file is part of MIA+EWS.
;
; MIA+EWS is free software; you can redistribute it and/or modify
; it under the terms of the GNU General Public License as published by
; the Free Software Foundation; either version 2 of the License, or
; (at your option) any later version.
;
; MIA+EWS is distributed in the hope that it will be useful,
; but WITHOUT ANY WARRANTY; without even the implied warranty of
; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
; GNU General Public License for more details.
;
; You should have received a copy of the GNU General Public License
; along with MIA; if not, write to the Free Software
; Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
;
;   compile utilities
.run utilities/calUtils
pushd,'xml'
;        convert xml files into .pro files
@makecaltables

popd
@setup
;            compile routines to create and fill tables
.run utilities/makeIrasBandPasses
.run utilities/makeBands
.run utilities/makeRefTable
.run utilities/makeBoekelSpec

;        make band pass band and ref tables; store in separate files on disk
prefix='tmp/cal'
irasBandPasses,prefix+'BandPasses.fits'
makebands, prefix+'Bands.fits', prefix+'BandPasses.fits'
makeRef,   prefix+'References.fits'
;         read through v.boekel dataset, make separate sources,diameters,aliases,photometry tables
;          for each source make a spectrophotometry table
makeBoekelDatabase,prefix
;
ll=''
print,' assemble data base?'
read,ll
if (ll EQ '') then  assembleDatabase,prefix
