;
; Copyright 2005 University of Leiden.
;
; This file is part of MIA+EWS.
;
; MIA+EWS is free software; you can redistribute it and/or modify
; it under the terms of the GNU General Public License as published by
; the Free Software Foundation; either version 2 of the License, or
; (at your option) any later version.
;
; MIA+EWS is distributed in the hope that it will be useful,
; but WITHOUT ANY WARRANTY; without even the implied warranty of
; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
; GNU General Public License for more details.
;
; You should have received a copy of the GNU General Public License
; along with MIA; if not, write to the Free Software
; Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
;
; Last Change: Thu May  4 12:02:10 2006
;
;define vltisubdir routine
.run vltiSubDir

;define our root directory
drsRoot = getenv('drsRoot')

setenv,'vltiCbin='+vltiSubDir(vltiSubDir(drsRoot,'c'),'bin')

vltidl  = vltiSubdir(drsRoot,'idl')

vltiews = vltiSubdir(vltiSubdir(vltiSubDir(drsRoot,'EWS'),'idl'),'ews')
midi    = vltiSubdir(vltiews,'midi')
midiUtil= vltiSubdir(midi,'utilities')

maskdir = vltiSubdir(drsRoot,'maskfiles')
setenv,'prismhmask='+maskdir+'/minrtsMask_FIELD_PRISM_HIGH_SENS_SLIT.fits'
setenv,'prismsmask='+maskdir+'/minrtsMask_FIELD_PRISM_SCI_PHOT_SLIT.fits'
setenv,'grismhmask='+maskdir+'/minrtsMask_SPECTRAL_GRISM_HIGH_SENS_SLIT.fits'
setenv,'grismsmask='+maskdir+'/minrtsMask_SPECTRAL_GRISM_SCI_PHOT_SLIT.fits'

setenv,'prismhcurve='+maskdir+'/minrtsCurve_FIELD_PRISM_HIGH_SENS.fits'
setenv,'prismscurve='+maskdir+'/minrtsCurve_FIELD_PRISM_SCI_PHOT.fits'
setenv,'grismhcurve='+maskdir+'/minrtsCurve_SPECTRAL_GRISM_HIGH_SENS.fits'
setenv,'grismscurve='+maskdir+'/minrtsCurve_SPECTRAL_GRISM_SCI_PHOT.fits'
;
;make the packages
;
print,"Compiling fbt..."
vltiPackage = vltiSubdir(vltidl,'fbt')
@vltimake
print,"Compiling oir..."
vltiPackage = vltiSubdir(vltidl,'oir')
@vltimake
print,"Compiling atv..."
.run idl/cmps_form
.run idl/atv
print,"Compiling utilities..."
vltiPackage = midiUtil
@vltimake
print,"Compiling MIA..."
vltiPackage = vltiSubdir(drsRoot,'MIA')
@vltimake
